System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.HttpException

The class is an HTTP-specific exception class that enables ASP.NET to output parser exception information. For more information on throwing and handling exceptions, see Handling and Throwing Exceptions.

The exception that is thrown when a parse error occurs.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class with a specified error message.

  The exception message to specify when the error occurs.
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class with a specified error message and a reference to the inner.

  The exception message to specify when the error occurs.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class with specific information about the source code being compiled and the line number on which the exception occurred.

  The exception message to specify when the error occurs.
  The exception that is the cause of the current exception. If is not null, the current exception is raised in a catch block that handles the inner exception.
  The virtual path for the exception.
  The source code being compiled when the exception occurs.
  The line number on which the exception occurred.
- Property
  System.String To be added: an object of type 'string'

  The property returns the physical path to the source file that has the error unless the physical path is null, in which case it returns null.

  Gets the name of the file being parsed when the error occurs.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added.

  The method sets a object with all the exception object data targeted for serialization. During deserialization, the exception is reconstituted from the SerializationInfo transmitted over the stream.

  When overridden in a derived class, sets the object with information about the exception.

  The that holds the serialized object data about the exception being thrown.
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of the line being parsed when the error occurs.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Web.ParserErrorCollection To be added. To be added.

  Gets the parser errors for the current exception.

- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets the virtual path to source file that generated the error.